(defun erc-cmd-XMMS ()
  "Display the current xmms track to the current ERC buffer."
  (let* ((xmms-output (shell-command-to-string
		       "xmmsctrl title"))
	 )
    (erc-send-message
     (concat "NP: "
	     xmms-output
	     ))
    t))

(defun xmmsctrl-insert (&rest args)
  "Insert current song in the current buffer"
  (interactive)
  (let* ((xmms-output
	  (shell-command-to-string "xmmsctrl title"))
	 )
    (insert (apply 'concat "NP: " xmms-output args))
    t))